/*
 * @Author: Hex
 * @Date: 2024-07-23 23:22:56
 * @LastEditors: Hex
 * @LastEditTime: 2024-07-24 16:30:21
 * @Description: file content
 */
import { _decorator, Component, lerp, Node, tween, v3, Vec3 } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('testPhy_PlayerMoveX')
export class testPhy_PlayerMoveX extends Component {
    start() {

        let myNode = this.node;
        let outVal = {val:0};
        let lastLerp = 0;
        tween(outVal).to(2, {
            val: {
                value: 100,
                progress(start: number, end: number, current: number, ratio: number): number {
                    const delta = ratio - lastLerp;
                    lastLerp = ratio;
                    myNode.position = v3(myNode.position.x - delta * 200, myNode.position.y, myNode.position.z);
                    console.log('cc',ratio);
                    return lerp(start, end, ratio);
                }
            }
        }).start();

    }

    update(deltaTime: number) {
        
    }
}


